Author Topic: Vertical platform cad  (Read 11605 times)

0 Members and 1 Guest are viewing this topic.

daron

  • Guest
Vertical platform cad
« on: September 25, 2003, 02:11:29 PM »
I have been trying to figure out how to access the object model of ADT through a tlb. I don't think it would be any different than accessing the object model of say, LDD or any other vertical platform, so has anybody using any other VP been able to access their tlb's in lisp? I find it hard to believe that VBA is the only way to access them.

JohnK

  • Administrator
  • Seagull
  • Posts: 10605
Vertical platform cad
« Reply #1 on: September 25, 2003, 02:28:55 PM »
Sorry cant help ya. (Honestly, I dont even know what your talking about.)
TheSwamp.org (serving the CAD community since 2003)
Member location map - Add yourself

Donate to TheSwamp.org

Mark

  • Custom Title
  • Seagull
  • Posts: 28753
Vertical platform cad
« Reply #2 on: September 25, 2003, 02:39:13 PM »
This is LDD2-4
Code: [Select]
(defun LD3-ProjectName (/ AeccApp AeccProject ProName)

  (vl-catch-all-apply
    (function
      (lambda ()
        (setq AeccApp
              (vla-getinterfaceobject
                (vlax-get-acad-object)
                "Aecc.Application"
                )
              )
        (setq AeccProject
              (vlax-get-property AeccApp 'ActiveProject)
              )
        (setq ProName
              (vlax-get-property AeccProject 'Name)
              )
        )
      )
    )
  (mapcar 'MST-release (list AeccApp AeccProject))
  ProName
  ) ; defun
TheSwamp.org  (serving the CAD community since 2003)

daron

  • Guest
Vertical platform cad
« Reply #3 on: September 25, 2003, 02:55:04 PM »
Thank you Mark. I'll try to figure that out.